Package com.independentsoft.graph

# Enum Class Importance

java.lang.Object
java.lang.Enum<Importance>
com.independentsoft.graph.Importance

All Implemented Interfaces:
  `Serializable`, `Comparable<Importance>`, `Constable`

public enum Importance extends Enum<Importance>
Represents the importance level of a message, event, or task in Microsoft Graph.

Importance indicates the priority or urgency of an item. This enumeration is used across various Microsoft Graph resources including messages, events, and tasks to help users prioritize their work.

Usage in Microsoft Graph:

- Messages - Email importance (low, normal, high)
- Events - Meeting or calendar event priority
- Tasks - Task priority level

Example usage:

     // Set high importance on a message
     Message message = new Message();
     message.setImportance(Importance.HIGH);
     message.setSubject("Urgent: Please review");

     // Set event importance
     Event event = new Event();
     event.setImportance(Importance.NORMAL);
     event.setSubject("Team Meeting");

Since:
  1.0
See Also:
  Message properties, Event properties

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HIGH`
  High importance - item has above-normal priority and should be addressed urgently.
  `LOW`
  Low importance - item has below-normal priority.
  `NONE`
  No importance set or unknown value.
  `NORMAL`
  Normal importance - item has standard priority (default).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Importance`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static Importance[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOW

    public static final Importance LOW
    Low importance - item has below-normal priority.

  - ### NORMAL

    public static final Importance NORMAL
    Normal importance - item has standard priority (default).

  - ### HIGH

    public static final Importance HIGH
    High importance - item has above-normal priority and should be addressed urgently.

  - ### NONE

    public static final Importance NONE
    No importance set or unknown value.

- ## Method Details

  - ### values

    public static Importance[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Importance valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null